when:
  - event: pull_request

steps:
  - name: pre-commit
    image: golang:1.26
    commands:
      - test -z "$(gofmt -l cmd/ internal/)"
      - go vet -mod=vendor ./...
    backend_options:
      kubernetes:
        serviceAccountName: autobackup-operator-ci
        resources:
          requests:
            memory: 512Mi
            cpu: 1
          limits:
            memory: 2Gi
            cpu: 2
